package com.jaywagnon.mymvc.model;


/**
 * Basic model POJO for Person data.
 */
public class Person
{
  /**
   * The person's ID.
   */
  private Long id;


  /**
   * The person's name.
   */
  private String name;


  public Person()
  {
  }


  public Person(Long id, String name)
  {
    this.id = id;
    this.name = name;
  }


  /**
   * Get the ID.
   *
   * @return
   */
  public Long getId()
  {
    return id;
  }


  /**
   * Set the ID.
   *
   * @param id
   */
  public void setId(Long id)
  {
    this.id = id;
  }


  /**
   * Get the name.
   *
   * @return
   */
  public String getName()
  {
    return name;
  }


  /**
   * Set the name.
   *
   * @param name
   */
  public void setName(String name)
  {
    this.name = name;
  }
}
