package com.jaywagnon.mymvc.services;


import com.jaywagnon.mymvc.model.Person;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public interface PersonService
{
  public Person find(final Long id);

  public List<Person> findAll();

  public void create(final Person person);

  public void update(final Person person);

  public void delete(final Long id);

  public void delete(final Person person);
}
