package com.jaywagnon.mymvc.model;


import org.junit.Test;

import static junit.framework.TestCase.*;


public class PersonTest
{
  @Test
  public void test_Constructor()
  {
    assertNotNull(new Person());
  }


  @Test
  public void test_Constructor_null()
  {
    Long id = new Long(1);
    String name = "Jimmy";
    Person person = new Person(id, name);
    assertNotNull(person);
    assertEquals(id, person.getId());
    assertEquals(name, person.getName());
  }


  @Test
  public void test_Id()
  {
    Person object = new Person();
    assertNull(object.getName());

    Long id = new Long(1);
    object.setId(id);
    assertEquals(id, object.getId());
  }


  @Test
  public void test_Name()
  {
    Person object = new Person();
    assertNull(object.getName());

    object.setName("Jimmy");
    assertEquals("Jimmy", object.getName());
  }
}
