package com.jaywagnon.mymvc.persistence.entities;


import org.junit.Test;

import static junit.framework.TestCase.*;


public class PersonEntityTest
{
  PersonEntity entity = new PersonEntity();


  @Test
  public void test_Constructor_default()
  {
    assertNotNull(entity);
  }


  @Test
  public void test_Constructor()
  {
    Long id = new Long(1);
    String name = "Name";

    PersonEntity person = new PersonEntity(id, name);
    assertNotNull(person);
    assertEquals(id, person.getId());
    assertEquals(name, person.getName());
  }


  @Test
  public void test_name()
  {
    String name = "Name";
    assertNull(entity.getName());

    entity.setName(name);
    assertEquals(name, entity.getName());
  }
}
